### Method

# Shumate VectorRenderer get_global_state

since: 1.6

#### Declaration [src]

    ShumateVectorValue*
    shumate_vector_renderer_get_global_state (
      ShumateVectorRenderer* self,
      const char* key
    )

#### Description [src]

Gets a global state value.

If the value has not been set with `shumate_vector_renderer_set_global_state()`, the default defined in the style will be returned, or `NULL` if no default is defined. Note that an explicitly set null value will return a `ShumateVectorValue` of type null, while an undefined value will return `NULL`.

Available since: 1.6

#### Parameters

`key`

  Type: `const char*`

  The state key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ShumateVectorValue`

The state value, or `NULL` if none is set.

The returned data is owned by the instance.